当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : db2图形安装报错了,不出来安装向导的窗口
帖子发表于 : 2008-11-29 21:47 

注册: 2008-11-29 21:42
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
root@linux:/tmp/db2# ./db2setup
DBI1190I db2setup is preparing the DB2 Setup Wizard which will
guide you through the program setup process. Please
wait.



The DISPLAY variable is not set properly. Ensure that the DISPLAY variable is set properly and that permissions are set properly to open windows on the display specified, then rerun the command.

从报错提示来看,要设一下DISPLAY variable ,怎么设置呀?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: db2图形安装报错了,不出来安装向导的窗口
帖子发表于 : 2008-11-29 21:54 

注册: 2008-11-29 21:42
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
用字符安装也报错:
./db2_install


Specify one or more of the following keywords,
separated by spaces, to install DB2 products.

Keyword Product Description
DB2.WSE DB2 Workgroup Server Edition for LINUX
DB2.ADMCL DB2 Administration Client for LINUX
DB2.ADCL DB2 Application Development Client for LINUX

Enter "help" to redisplay product names.

Enter "quit" to exit.

***********************************************************
DB2.WSE
IBM_db2msen81...
Preparing... ##################################################
IBM_db2msen81 ##################################################
IBM_db2cliv81...
error: Failed dependencies:
libc.so.6(GLIBC_2.2) is needed by IBM_db2cliv81-8.1.0-0.i386
/bin/sh is needed by IBM_db2cliv81-8.1.0-0.i386
IBM_db2icw81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2icw81-8.1.0-0.i386
IBM_db2cucs81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2cucs81-8.1.0-0.i386
IBM_db2conv81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2conv81-8.1.0-0.i386
IBM_db2secl81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2secl81-8.1.0-0.i386
IBM_db2sesm81...
error: Failed dependencies:
IBM_db2secl81 >= 8.1.0-0 is needed by IBM_db2sesm81-8.1.0-0.i386
IBM_db2icuc81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2icuc81-8.1.0-0.i386
IBM_db2icut81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2icut81-8.1.0-0.i386
IBM_db2jhen81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2jhen81-8.1.0-0.i386
IBM_db2repl81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2repl81-8.1.0-0.i386
IBM_db2sp81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2sp81-8.1.0-0.i386
IBM_db2chen81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2chen81-8.1.0-0.i386
IBM_db2adt81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2adt81-8.1.0-0.i386
IBM_db2sp81 >= 8.1.0-0 is needed by IBM_db2adt81-8.1.0-0.i386
/bin/sh is needed by IBM_db2adt81-8.1.0-0.i386
IBM_db2adts81...
error: Failed dependencies:
IBM_db2adt81 >= 8.1.0-0 is needed by IBM_db2adts81-8.1.0-0.i386
IBM_db2xmls81...
error: Failed dependencies:
IBM_db2adt81 >= 8.1.0-0 is needed by IBM_db2xmls81-8.1.0-0.i386
IBM_db2cj81...
error: Failed dependencies:
IBM_db2jhen81 >= 8.1.0-0 is needed by IBM_db2cj81-8.1.0-0.i386
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2cj81-8.1.0-0.i386
IBM_db2dc81...
error: Failed dependencies:
IBM_db2adt81 >= 8.1.0-0 is needed by IBM_db2dc81-8.1.0-0.i386
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2dc81-8.1.0-0.i386
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2dc81-8.1.0-0.i386
IBM_db2dwcm81...
error: Failed dependencies:
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2dwcm81-8.1.0-0.i386
/bin/sh is needed by IBM_db2dwcm81-8.1.0-0.i386
IBM_db2fs81...
error: Failed dependencies:
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2fs81-8.1.0-0.i386
IBM_db2inst81...
error: Failed dependencies:
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2inst81-8.1.0-0.i386
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2inst81-8.1.0-0.i386
IBM_db2wbdb81...
error: Failed dependencies:
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2wbdb81-8.1.0-0.i386
IBM_db2xml81...
error: Failed dependencies:
IBM_db2icut81 >= 8.1.0-0 is needed by IBM_db2xml81-8.1.0-0.i386
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2xml81-8.1.0-0.i386
IBM_db2jdbc81...
error: Failed dependencies:
IBM_db2cucs81 >= 8.1.0-0 is needed by IBM_db2jdbc81-8.1.0-0.i386
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2jdbc81-8.1.0-0.i386
IBM_db2ca81...
error: Failed dependencies:
IBM_db2sp81 >= 8.1.0-0 is needed by IBM_db2ca81-8.1.0-0.i386
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2ca81-8.1.0-0.i386
IBM_db2jdbc81 >= 8.1.0-0 is needed by IBM_db2ca81-8.1.0-0.i386
IBM_db2rte81...
error: Failed dependencies:
IBM_db2repl81 >= 8.1.0-0 is needed by IBM_db2rte81-8.1.0-0.i386
IBM_db2cucs81 >= 8.1.0-0 is needed by IBM_db2rte81-8.1.0-0.i386
IBM_db2cliv81 >= 8.1.0-0 is needed by IBM_db2rte81-8.1.0-0.i386
/bin/sh is needed by IBM_db2rte81-8.1.0-0.i386
IBM_db2crte81...
error: Failed dependencies:
IBM_db2rte81 >= 8.1.0-0 is needed by IBM_db2crte81-8.1.0-0.i386
IBM_db2das81...
error: Failed dependencies:
IBM_db2rte81 >= 8.1.0-0 is needed by IBM_db2das81-8.1.0-0.i386
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2das81-8.1.0-0.i386
IBM_db2jdbc81 >= 8.1.0-0 is needed by IBM_db2das81-8.1.0-0.i386
IBM_db2dj81...
error: Failed dependencies:
IBM_db2rte81 >= 8.1.0-0 is needed by IBM_db2dj81-8.1.0-0.i386
IBM_db2engn81...
error: Failed dependencies:
IBM_db2icut81 >= 8.1.0-0 is needed by IBM_db2engn81-8.1.0-0.i386
IBM_db2rte81 >= 8.1.0-0 is needed by IBM_db2engn81-8.1.0-0.i386
IBM_db2sp81 >= 8.1.0-0 is needed by IBM_db2engn81-8.1.0-0.i386
IBM_db2icuc81 >= 8.1.0-0 is needed by IBM_db2engn81-8.1.0-0.i386
/bin/sh is needed by IBM_db2engn81-8.1.0-0.i386
IBM_db2smpl81...
error: Failed dependencies:
IBM_db2engn81 >= 8.1.0-0 is needed by IBM_db2smpl81-8.1.0-0.i386
IBM_db2djx81...
error: Failed dependencies:
IBM_db2engn81 >= 8.1.0-0 is needed by IBM_db2djx81-8.1.0-0.i386
IBM_db2inx81...
error: Failed dependencies:
IBM_db2dj81 >= 8.1.0-0 is needed by IBM_db2inx81-8.1.0-0.i386
IBM_db2djx81 >= 8.1.0-0 is needed by IBM_db2inx81-8.1.0-0.i386
/bin/sh is needed by IBM_db2inx81-8.1.0-0.i386
IBM_db2wssg81...
error: Failed dependencies:
IBM_db2conv81 >= 8.1.0-0 is needed by IBM_db2wssg81-8.1.0-0.i386
IBM_db2engn81 >= 8.1.0-0 is needed by IBM_db2wssg81-8.1.0-0.i386
IBM_db2rte81 >= 8.1.0-0 is needed by IBM_db2wssg81-8.1.0-0.i386
IBM_db2das81 >= 8.1.0-0 is needed by IBM_db2wssg81-8.1.0-0.i386
IBM_db2crte81 >= 8.1.0-0 is needed by IBM_db2wssg81-8.1.0-0.i386
IBM_db2smpl81 >= 8.1.0-0 is needed by IBM_db2wssg81-8.1.0-0.i386
IBM_db2cc81...
error: Failed dependencies:
IBM_db2chen81 >= 8.1.0-0 is needed by IBM_db2cc81-8.1.0-0.i386
IBM_db2ca81 >= 8.1.0-0 is needed by IBM_db2cc81-8.1.0-0.i386
IBM_db2cj81 >= 8.1.0-0 is needed by IBM_db2cc81-8.1.0-0.i386
IBM_db2jdbc81 >= 8.1.0-0 is needed by IBM_db2cc81-8.1.0-0.i386
/bin/sh is needed by IBM_db2cc81-8.1.0-0.i386
IBM_db2icc81...
error: Failed dependencies:
IBM_db2dwcm81 >= 8.1.0-0 is needed by IBM_db2icc81-8.1.0-0.i386
IBM_db2cc81 >= 8.1.0-0 is needed by IBM_db2icc81-8.1.0-0.i386
IBM_db2icms81...
error: Failed dependencies:
IBM_db2icc81 >= 8.1.0-0 is needed by IBM_db2icms81-8.1.0-0.i386


The installation logfile can be found in /tmp/db2_install_log.11407.

db2_install program completed successfully.

root@linux:/tmp/db2#


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译